/*
 * Copyright (C) 2001  Robey Pointer <robey@lag.net>
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef _DISPATCH_H_
#define _DISPATCH_H_

#include <glib.h>

/* items to put into the dispatch table */
typedef struct {
        char *command;
        void *function;
} DispatchItem;


void *dispatch_create (DispatchItem *list);
gboolean dispatch_go (void *xtable, const char *command, void *arg1, void *arg2, void *arg3);
void dispatch_free (void *xtable);

#endif	/* _DISPATCH_H_ */
