/* $Id: rcfile.h,v 1.1 2000/11/18 03:54:51 robey Exp $
 *
 * Read a config file of key/value pairs and make callbacks (or set local
 * variables).
 *
 * Copyright (C) 2000  Robey Pointer <robey@lag.net>
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 */

#ifndef _RCFILE_H_
#define _RCFILE_H_

/* returns FALSE if we should abort reading the config file */
typedef gboolean (*RCCallbackFn)(const char *key, const char *value);

gboolean rcfile_read (const char *filename, RCCallbackFn fn);

#endif 	/* _RCFILE_H_ */
