/*
 * Copyright (C) 2001  Robey Pointer <robey@lag.net>
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef _SAY2_H_
#define _SAY2_H_

#define SAY2_VERSION		"0.5.2"
#define SAY2_VERSION_MAJOR	0
#define SAY2_VERSION_MINOR	5
#define SAY2_VERSION_MICRO	2

#define SAY2_CFLAGS		"-I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/include -DHAVE_OPENSSL -I/usr/include/mysql"
#define SAY2_LIBS		"-L/usr/lib -lglib -L/usr/lib -lssl -L/usr/lib/mysql -lmysqlclient -lz  -lnsl"

#include "enaml.h"
#include "log.h"
#include "sock.h"
#include "sock-ssl.h"
#include "enaml-sock.h"
#include "rcfile.h"
#include "sql.h"
#include "dispatch.h"
#include "daemon.h"
#include "certdb.h"

#endif	/* _SAY2_H_ */
