/* $Id: enaml-sock.h,v 1.4 2001/02/18 04:27:32 robey Exp $
 *
 * Copyright (C) 2000  Robey Pointer <robey@lag.net>
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

/* this file is not included in emaml.h because it's dependent on the
 * socket library.
 */

#ifndef _ENAML_SOCK_C_
#define _ENAML_SOCK_C_

#include "enaml.h"
#include "sock.h"

void send_enaml_block (Socket *sock, const EnamlBlock *out);
void send_enaml_buildf (Socket *sock, const char *tag, const char *fmt, ...);

#endif	/* _UTIL_C_ */
